:host {
  display: flex;

  .icon {
    &.blue {
      color: #3fa8f4;
    }

    &.green {
      color: #57bc58;
    }

    &.yellow {
      color: #faec22;
    }

    &.orange {
      color: #f28c0b;
    }

    &.red {
      color: #fd0001;
    }

    &.crimson {
      color: #800000;

      ::ng-deep {
        .st1 {
          stroke: #800000;
        }
      }
    }

    &.undefined {
      color: #9E9E9E;
    }
  }
}